class Browser
  module Language
    if File.exist?(File.expand_path("../../../../../../share/ruby-browser/languages.yml", __FILE__)) then
        LANGUAGES = YAML.load_file(File.expand_path("../../../../../../share/ruby-browser/languages.yml", __FILE__))
    else
        LANGUAGES = YAML.load_file(File.expand_path("/usr/share/ruby-browser/languages.yml", __FILE__))
    end

    # Set browser's preferred language
    attr_writer :accept_language

    # Return an array with all preferred languages that this browser accepts.
    def accept_language
      @accept_language
        .gsub(/;q=[\d.]+/, "")
        .split(",")
        .map {|l| l.downcase.gsub(/\s/m, "") }
    end
  end
end
